<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: CLK_T Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CLK_T Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:af4e41a82d5c7f9ba62b91d557ef5761d"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#af4e41a82d5c7f9ba62b91d557ef5761d">PWRCON</a></td></tr>
<tr class="separator:af4e41a82d5c7f9ba62b91d557ef5761d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91278c785d081e72e090c63624d05184"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a91278c785d081e72e090c63624d05184">AHBCLK</a></td></tr>
<tr class="separator:a91278c785d081e72e090c63624d05184"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6578e36d8280d7e3e71a60f440defc8"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#aa6578e36d8280d7e3e71a60f440defc8">APBCLK</a></td></tr>
<tr class="separator:aa6578e36d8280d7e3e71a60f440defc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79dd7fb9025bba9d94db28e54fa4ad9f"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a79dd7fb9025bba9d94db28e54fa4ad9f">CLKSTATUS</a></td></tr>
<tr class="separator:a79dd7fb9025bba9d94db28e54fa4ad9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56cc9cc573d39acc7229c0a304e2fbde"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a56cc9cc573d39acc7229c0a304e2fbde">CLKSEL0</a></td></tr>
<tr class="separator:a56cc9cc573d39acc7229c0a304e2fbde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a7a11873705bdb81268ad8ac2d6087f"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a3a7a11873705bdb81268ad8ac2d6087f">CLKSEL1</a></td></tr>
<tr class="separator:a3a7a11873705bdb81268ad8ac2d6087f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a418aa082460b6ecffa1e00a3fce5c107"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a418aa082460b6ecffa1e00a3fce5c107">CLKDIV</a></td></tr>
<tr class="separator:a418aa082460b6ecffa1e00a3fce5c107"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac38ba89e15ce9e37866aff665694b613"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#ac38ba89e15ce9e37866aff665694b613">CLKSEL2</a></td></tr>
<tr class="separator:ac38ba89e15ce9e37866aff665694b613"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae633c2dbb7cedd2fc7ea2b75d550fe22"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#ae633c2dbb7cedd2fc7ea2b75d550fe22">FRQDIV</a></td></tr>
<tr class="separator:ae633c2dbb7cedd2fc7ea2b75d550fe22"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup CLK System Clock Controller(CLK)
Memory Mapped Structure for CLK Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l00926">926</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a91278c785d081e72e090c63624d05184"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91278c785d081e72e090c63624d05184">&#9670;&nbsp;</a></span>AHBCLK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLK_T::AHBCLK</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">AHBCLK
</font><br><p> <font size="2">
Offset: 0x04  AHB Devices Clock Enable Control Register
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[2]</td><td>ISP_EN</td><td><div style="word-wrap: break-word;"><b>Flash ISP Controller Clock Enable Control
</b><br>
0 = Flash ISP peripheral clock Disabled.
<br>
1 = Flash ISP peripheral clock Enabled.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l01463">1463</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="aa6578e36d8280d7e3e71a60f440defc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6578e36d8280d7e3e71a60f440defc8">&#9670;&nbsp;</a></span>APBCLK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLK_T::APBCLK</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">APBCLK
</font><br><p> <font size="2">
Offset: 0x08  APB Devices Clock Enable Control Register
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[0]</td><td>WDT_EN</td><td><div style="word-wrap: break-word;"><b>Watchdog Timer Clock Enable Control (Write Protect)
</b><br>
0 = Watchdog Timer clock Disabled.
<br>
1 = Watchdog Timer clock Enabled.
<br>
Note: This bit is the protected bit, and programming it needs to write 0x59, 0x16, and 0x88 to address 0x5000_0100 to disable register protection.
<br>
Refer to the register REGWRPROT at address GCR_BA + 0x100.
<br>
</div></td></tr><tr><td>
[2]</td><td>TMR0_EN</td><td><div style="word-wrap: break-word;"><b>Timer0 Clock Enable Control
</b><br>
0 = Timer0 clock Disabled.
<br>
1 = Timer0 clock Enabled.
<br>
</div></td></tr><tr><td>
[3]</td><td>TMR1_EN</td><td><div style="word-wrap: break-word;"><b>Timer1 Clock Enable Control
</b><br>
0 = Timer1 clock Disabled.
<br>
1 = Timer1 clock Enabled.
<br>
</div></td></tr><tr><td>
[6]</td><td>FDIV_EN</td><td><div style="word-wrap: break-word;"><b>Frequency Divider Output Clock Enable Control
</b><br>
0 = FDIV clock Disabled.
<br>
1 = FDIV clock Enabled.
<br>
</div></td></tr><tr><td>
[8]</td><td>I2C_EN</td><td><div style="word-wrap: break-word;"><b>I2C Clock Enable Control
</b><br>
0 = I2C clock Disabled.
<br>
1 = I2C clock Enabled.
<br>
</div></td></tr><tr><td>
[12]</td><td>SPI_EN</td><td><div style="word-wrap: break-word;"><b>SPI Peripheral Clock Enable Control
</b><br>
0 = SPI peripheral clock Disabled.
<br>
1 = SPI peripheral clock Enabled.
<br>
</div></td></tr><tr><td>
[16]</td><td>UART_EN</td><td><div style="word-wrap: break-word;"><b>UART Clock Enable Control
</b><br>
0 = UART clock Disabled.
<br>
1 = UART clock Enabled.
<br>
</div></td></tr><tr><td>
[20]</td><td>PWM01_EN</td><td><div style="word-wrap: break-word;"><b>PWM_01 Clock Enable Control
</b><br>
0 = PWM01 clock Disabled.
<br>
1 = PWM01 clock Enabled.
<br>
</div></td></tr><tr><td>
[21]</td><td>PWM23_EN</td><td><div style="word-wrap: break-word;"><b>PWM_23 Clock Enable Control
</b><br>
0 = PWM23 clock Disabled.
<br>
1 = PWM23 clock Enabled.
<br>
</div></td></tr><tr><td>
[22]</td><td>PWM45_EN</td><td><div style="word-wrap: break-word;"><b>PWM_45 Clock Enable Control
</b><br>
0 = PWM45 clock Disabled.
<br>
1 = PWM45 clock Enabled.
<br>
</div></td></tr><tr><td>
[28]</td><td>ADC_EN</td><td><div style="word-wrap: break-word;"><b>Analog-digital-converter (ADC) Clock Enable Control
</b><br>
0 = ADC peripheral clock Disabled.
<br>
1 = ADC peripheral clock Enabled.
<br>
</div></td></tr><tr><td>
[30]</td><td>ACMP_EN</td><td><div style="word-wrap: break-word;"><b>Analog Comparator Clock Enable Control
</b><br>
0 = Analog Comparator clock Disabled.
<br>
1 = Analog Comparator clock Enabled.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l01464">1464</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="a418aa082460b6ecffa1e00a3fce5c107"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a418aa082460b6ecffa1e00a3fce5c107">&#9670;&nbsp;</a></span>CLKDIV</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLK_T::CLKDIV</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">CLKDIV
</font><br><p> <font size="2">
Offset: 0x18  Clock Divider Number Register
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[3:0]</td><td>HCLK_N</td><td><div style="word-wrap: break-word;"><b>HCLK Clock Divide Number From HCLK Clock Source
</b><br>
HCLK clock frequency = (HCLK clock source frequency) / (HCLK_N + 1).
<br>
</div></td></tr><tr><td>
[11:8]</td><td>UART_N</td><td><div style="word-wrap: break-word;"><b>UART Clock Divide Number From UART Clock Source
</b><br>
UART clock frequency = (UART clock source frequency) / (UART_N + 1).
<br>
</div></td></tr><tr><td>
[23:16]</td><td>ADC_N</td><td><div style="word-wrap: break-word;"><b>ADC Peripheral Clock Divide Number From ADC Peripheral Clock Source
</b><br>
ADC peripheral clock frequency = (ADC peripheral clock source frequency) / (ADC_N + 1).
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l01468">1468</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="a56cc9cc573d39acc7229c0a304e2fbde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56cc9cc573d39acc7229c0a304e2fbde">&#9670;&nbsp;</a></span>CLKSEL0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLK_T::CLKSEL0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">CLKSEL0
</font><br><p> <font size="2">
Offset: 0x10  Clock Source Select Control Register 0
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[2:0]</td><td>HCLK_S</td><td><div style="word-wrap: break-word;"><b>HCLK Clock Source Selection (Write Protect)
</b><br>
000 = Clock source is from HXT or LXT.
<br>
001 = Reserved.
<br>
010 = Reserved.
<br>
011 = Clock source is from LIRC.
<br>
111 = Clock source is from HIRC.
<br>
Others = Reserved.
<br>
Note1: Before clock switching, the related clock sources (both pre-select and new-select) must be turn-on and stable.
<br>
Note2: These bits are protected bit, and programming them needs to write 0x59, 0x16, and 0x88 to address 0x5000_0100 to disable register protection.
<br>
Refer to the register REGWRPROT at address GCR_BA + 0x100.
<br>
Note3: To set PWRCON[1:0], select HXT or LXT crystal clock.
<br>
</div></td></tr><tr><td>
[5:3]</td><td>STCLK_S</td><td><div style="word-wrap: break-word;"><b>Cortex-M0 SysTick Clock Source Selection From Reference Clock (Write Protect)
</b><br>
If SYST_CSR[2] = 1, SysTick clock source is from HCLK.
<br>
If SYST_CSR[2] = 0, SysTick clock source is defined by below settings.
<br>
000 = Clock source is from HXT or LXT.
<br>
001 = Reserved.
<br>
010 = Clock source is from HXT/2 or LXT/2.
<br>
011 = Clock source is from HCLK/2.
<br>
111 = Clock source is from HIRC /2.
<br>
Others = Reserved.
<br>
Note1: These bits are protected bit, and programming them needs to write 0x59, 0x16, and 0x88 to address 0x5000_0100 to disable register protection.
<br>
Refer to the register REGWRPROT at address GCR_BA + 0x100.
<br>
Note2: If the SysTick clock source is not from HCLK (i.e. SYST_CSR[2] = 0), SysTick clock source must less than or equal to HCLK/2.
<br>
Note3: To set PWRCON[1:0], select HXT or LXT crystal clock.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l01466">1466</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="a3a7a11873705bdb81268ad8ac2d6087f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a7a11873705bdb81268ad8ac2d6087f">&#9670;&nbsp;</a></span>CLKSEL1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLK_T::CLKSEL1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">CLKSEL1
</font><br><p> <font size="2">
Offset: 0x14  Clock Source Select Control Register 1
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[1:0]</td><td>WDT_S</td><td><div style="word-wrap: break-word;"><b>WDT CLK Clock Source Selection (Write Protect)
</b><br>
00 = Clock source is from HXT or LXT.
<br>
01 = Reserved.
<br>
10 = Clock source is from HCLK/2048 clock.
<br>
11 = Clock source is from LIRC.
<br>
Note1: These bits are the protected bit, and programming them needs to write 0x59, 0x16, and 0x88 to address 0x5000_0100 to disable register protection.
<br>
Refer to the register REGWRPROT at address GCR_BA + 0x100.
<br>
Note2: To set PWRCON[1:0], select HXT or LXT crystal clock.
<br>
</div></td></tr><tr><td>
[3:2]</td><td>ADC_S</td><td><div style="word-wrap: break-word;"><b>ADC Peripheral Clock Source Selection
</b><br>
00 = Clock source is from HXT or LXT.
<br>
01 = Reserved.
<br>
10 = Clock source is from HCLK.
<br>
11 = Clock source is from HIRC.
<br>
Note: To set PWRCON[1:0], select HXT or LXT crystal clock.
<br>
</div></td></tr><tr><td>
[4]</td><td>SPI_S</td><td><div style="word-wrap: break-word;"><b>SPI Clock Source Selection
</b><br>
0 = Clock source is from HXT or LXT.
<br>
1 = Clock source is from HCLK.
<br>
Note: To set PWRCON[1:0], select HXT or LXT crystal clock.
<br>
</div></td></tr><tr><td>
[10:8]</td><td>TMR0_S</td><td><div style="word-wrap: break-word;"><b>TIMER0 Clock Source Selection
</b><br>
000 = Clock source is from HXT or LXT.
<br>
001 = Clock source is from LIRC.
<br>
010 = Clock source is from HCLK.
<br>
011 = Clock source is from external trigger.
<br>
111 = Clock source is from HIRC.
<br>
Others = Reserved.
<br>
Note: To set PWRCON[1:0], select HXT or LXT crystal clock.
<br>
</div></td></tr><tr><td>
[14:12]</td><td>TMR1_S</td><td><div style="word-wrap: break-word;"><b>TIMER1 Clock Source Selection
</b><br>
000 = Clock source is from HXT or LXT.
<br>
001 = Clock source is from LIRC.
<br>
010 = Clock source is from HCLK.
<br>
011 = Clock source is from external trigger.
<br>
111 = Clock source is from HIRC.
<br>
Others = Reserved.
<br>
Note: To set PWRCON[1:0], select HXT or LXT crystal clock.
<br>
</div></td></tr><tr><td>
[25:24]</td><td>UART_S</td><td><div style="word-wrap: break-word;"><b>UART Clock Source Selection
</b><br>
00 = Clock source is from HXT or LXT.
<br>
01 = Reserved.
<br>
10 = Clock source is from HIRC.
<br>
11 = Clock source is from HIRC .
<br>
Note: To set PWRCON[1:0], select HXT or LXT crystal clock.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l01467">1467</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ac38ba89e15ce9e37866aff665694b613"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac38ba89e15ce9e37866aff665694b613">&#9670;&nbsp;</a></span>CLKSEL2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLK_T::CLKSEL2</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">CLKSEL2
</font><br><p> <font size="2">
Offset: 0x1C  Clock Source Select Control Register 2
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[3:2]</td><td>FRQDIV_S</td><td><div style="word-wrap: break-word;"><b>Clock Divider Clock Source Selection
</b><br>
00 = Clock source is from HXT or LXT.
<br>
01 = Reserved.
<br>
10 = Clock source is from HCLK.
<br>
11 = Clock source is from HIRC.
<br>
Note: To set PWRCON[1:0], select HXT or LXT crystal clock.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l01469">1469</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="a79dd7fb9025bba9d94db28e54fa4ad9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79dd7fb9025bba9d94db28e54fa4ad9f">&#9670;&nbsp;</a></span>CLKSTATUS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLK_T::CLKSTATUS</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">CLKSTATUS
</font><br><p> <font size="2">
Offset: 0x0C  Clock Status Monitor Register
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[0]</td><td>XTL_STB</td><td><div style="word-wrap: break-word;"><b>HXT Or LXT Clock Source Stable Flag
</b><br>
0 = HXT or LXT clock is not stable or disabled.
<br>
1 = HXT or LXT clock is stable.
<br>
</div></td></tr><tr><td>
[3]</td><td>OSC10K_STB</td><td><div style="word-wrap: break-word;"><b>LIRC Clock Source Stable Flag (Read Only)
</b><br>
0 = LIRC clock is not stable or disabled.
<br>
1 = LIRC clock is stable.
<br>
</div></td></tr><tr><td>
[4]</td><td>OSC22M_STB</td><td><div style="word-wrap: break-word;"><b>HIRC Clock Source Stable Flag (Read Only)
</b><br>
0 = HIRC clock is not stable or disabled.
<br>
1 = HIRC clock is stable.
<br>
</div></td></tr><tr><td>
[7]</td><td>CLK_SW_FAIL</td><td><div style="word-wrap: break-word;"><b>Clock Switch Fail Flag
</b><br>
0 = Clock switching success.
<br>
1 = Clock switching failed.
<br>
Note1: This bit is updated when software switches system clock source.
<br>
If switch target clock is stable, this bit will be set to 0.
<br>
If switch target clock is not stable, this bit will be set to 1.
<br>
Note2: This bit is read only.
<br>
After selected clock source is stable, hardware will switch system clock to selected clock automatically, and CLK_SE_FAIL will be cleared automatically by hardware.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l01465">1465</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ae633c2dbb7cedd2fc7ea2b75d550fe22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae633c2dbb7cedd2fc7ea2b75d550fe22">&#9670;&nbsp;</a></span>FRQDIV</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLK_T::FRQDIV</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">FRQDIV
</font><br><p> <font size="2">
Offset: 0x24  Frequency Divider Control Register
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[3:0]</td><td>FSEL</td><td><div style="word-wrap: break-word;"><b>Divider Output Frequency Selection
</b><br>
The formula of output frequency is
<br>
Fout = Fin/2(N+1),.
<br>
Fin is the input clock frequency.
<br>
Fout is the frequency of divider output clock.
<br>
N is the 4-bit value of FSEL[3:0].
<br>
</div></td></tr><tr><td>
[4]</td><td>DIVIDER_EN</td><td><div style="word-wrap: break-word;"><b>Frequency Divider Enable Control
</b><br>
0 = Frequency Divider Disabled.
<br>
1 = Frequency Divider Enabled.
<br>
</div></td></tr><tr><td>
[5]</td><td>DIVIDER1</td><td><div style="word-wrap: break-word;"><b>Frequency Divider 1 Enable Control
</b><br>
0 = Divider output frequency is depended on FSEL value.
<br>
1 = Divider output frequency is the same as input clock frequency.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l01473">1473</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="af4e41a82d5c7f9ba62b91d557ef5761d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4e41a82d5c7f9ba62b91d557ef5761d">&#9670;&nbsp;</a></span>PWRCON</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CLK_T::PWRCON</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">PWRCON
</font><br><p> <font size="2">
Offset: 0x00  System Power-down Control Register
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[1:0]</td><td>XTLCLK_EN</td><td><div style="word-wrap: break-word;"><b>External Crystal HXT Or LXT Enable Control (Write Protect)
</b><br>
The default clock source is from HIRC.
<br>
These two bits are default set to "00" and the XTAL1 and XTAL2 pins are GPIO.
<br>
00 = XTAL1 and XTAL2 are GPIO, disable both LXT & HXT (default).
<br>
01 = HXT Enabled.
<br>
10 = LXT Enabled.
<br>
11 = XTAL1 is external clock input pin, XTAL2 is GPIO.
<br>
Note: To enable the external XTAL function, the P5_ALT[1:0] and P5_MFP[1:0] bits must also be set in P5_MFP.
<br>
</div></td></tr><tr><td>
[2]</td><td>OSC22M_EN</td><td><div style="word-wrap: break-word;"><b>22.1184 MHz Internal High Speed RC Oscillator (HIRC) Enable Control (Write Protect)
</b><br>
0 = 22.1184 MHz internal high speed RC oscillator (HIRC) Disabled.
<br>
1 = 22.1184 MHz internal high speed RC oscillator (HIRC) Enabled.
<br>
Note: The default of OSC22M_EN bit is 1.
<br>
</div></td></tr><tr><td>
[3]</td><td>OSC10K_EN</td><td><div style="word-wrap: break-word;"><b>10 KHz Internal Low Speed RC Oscillator (LIRC) Enable Control (Write Protect)
</b><br>
0 = 10 kHz internal low speed RC oscillator (LIRC) Disabled.
<br>
1 = 10 kHz internal low speed RC oscillator (LIRC) Enabled.
<br>
</div></td></tr><tr><td>
[4]</td><td>PD_WU_DLY</td><td><div style="word-wrap: break-word;"><b>Wake-up Delay Counter Enable Control (Write Protect)
</b><br>
When the chip wakes up from Power-down mode, the clock control will delay certain clock cycles to wait system clock stable.
<br>
The delayed clock cycle is 4096 clock cycles when chip work at 4~24 MHz external high speed crystal (HXT), 4096 clock cycles for 32.768 kHz external low speed crystal (LXT), and 16 clock cycles when chip works at 22.1184 MHz internal high speed RC oscillator (HIRC).
<br>
0 = Clock cycles delay Disabled.
<br>
1 = Clock cycles delay Enabled.
<br>
</div></td></tr><tr><td>
[5]</td><td>PD_WU_INT_EN</td><td><div style="word-wrap: break-word;"><b>Power-down Mode Wake-up Interrupt Enable Control (Write Protect)
</b><br>
0 = Disabled.
<br>
1 = Enabled.
<br>
Note: The interrupt will occur when both PD_WU_STS and PD_WU_INT_EN are high.
<br>
</div></td></tr><tr><td>
[6]</td><td>PD_WU_STS</td><td><div style="word-wrap: break-word;"><b>Power-down Mode Wake-up Interrupt Status
</b><br>
Set by "Power-down wake-up event", which indicates that resume from Power-down mode.
<br>
The flag is set if the GPIO, UART, WDT, I2C, ACMP, Timer or BOD wake-up occurred.
<br>
Note: This bit works only if PD_WU_INT_EN (PWRCON[5]) set to 1. Write 1 to clear the bit to 0.
<br>
</div></td></tr><tr><td>
[7]</td><td>PWR_DOWN_EN</td><td><div style="word-wrap: break-word;"><b>System Power-down Enable Bit (Write Protect)
</b><br>
When chip wakes up from Power-down mode, this bit is cleared by hardware.
<br>
User needs to set this bit again for next Power-down.
<br>
In Power-down mode, 4~24 MHz external high speed crystal oscillator (HXT), 32.768 kHz external low speed crystal oscillator (LXT), and the 22.1184 MHz internal high speed oscillator (HIRC) will be disabled in this mode, and 10 kHz internal low speed RC oscillator (LIRC) are not controlled by Power-down mode.
<br>
In Power-down mode, the system clock is disabled, and ignored the clock source selection.
<br>
The clocks of peripheral are not controlled by Power-down mode, if the peripheral clock source is from 10 kHz internal low speed oscillator.
<br>
0 = Chip operating normally or chip in Idle mode because of WFI command.
<br>
1 = Chip enters Power-down mode instantly or waits CPU sleep command WFI.
<br>
</div></td></tr><tr><td>
[9]</td><td>PD_32K</td><td><div style="word-wrap: break-word;"><b>Enable LXT In Power-down Mode
</b><br>
This bit controls the crystal oscillator active or not in Power-down mode.
<br>
0 = No effect to Power-down mode.
<br>
1 = If XTLCLK_EN[1:0] = 10, LXT is still active in Power-down mode.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l01462">1462</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Mini51Series/Include/<a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:44 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
